com.informix.jdbc

## Interface IfmxResultSetMetaData

All Superinterfaces:
  java.sql.ResultSetMetaData, java.sql.Wrapper

All Known Implementing Classes:
  IfxResultSetMetaData

    public interface IfmxResultSetMetaData
    extends java.sql.ResultSetMetaData

The IfmxResultSetMetaData interface contains Informix extensions to the ResultSetMetaData interface.

### Field Summary

### Fields inherited from interface java.sql.ResultSetMetaData

`columnNoNulls, columnNullable, columnNullableUnknown`

### Method Summary

Methods
`int` `getAlignment(int column)` Gets the Column's alignment
`IfmxResultSetMetaData` `getChild(int column)` Gets the Column's child complex type information for a nested complex type.
`int` `getColumnExtendedId(int column)` Gets the Column's extended id
`int` `getColumnStartPosition(int column)` Gets the Column's starting position in the tuple
`int` `getEncodedLength(int column)` Gets the column's encoded Length
`java.lang.String` `getExtendedName(int column)` Gets the Column's extended name
`java.lang.String` `getExtendedOwnerName(int column)` Gets the Column's extended type's owner name
`short` `getFieldNo(int column)` Gets the Column's Field number
`int` `getIfxColumnType(int column)` Gets a column's Informix SQL type
`short` `getLevelNo(int column)` Gets the Column's Level number
`short` `getParentNo(int column)` Gets the Column's Parent number
`short` `getReference(int column)` Gets the Column's reference type
`short` `getSeqNo(int column)` Gets the Column's Sequence number
`int` `getSourceType(int column)` Gets the Column's SourceType
`boolean` `isDistinct(int column)` Is the column a distinct type
`boolean` `isNamedRow(int column)` Is the column a named row type

### Methods inherited from interface java.sql.ResultSetMetaData

`getCatalogName, getColumnClassName, getColumnCount, getColumnDisplaySize, getColumnLabel, getColumnName, getColumnType, getColumnTypeName, getPrecision, getScale, getSchemaName, getTableName, isAutoIncrement, isCaseSensitive, isCurrency, isDefinitelyWritable, isNullable, isReadOnly, isSearchable, isSigned, isWritable`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### getColumnStartPosition

    int getColumnStartPosition(int column)
                               throws java.sql.SQLException

Gets the Column's starting position in the tuple

Parameters:
  `column` - the first column is 1, the second is 2, ...
Returns:
  The column's start position.
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### getColumnExtendedId

    int getColumnExtendedId(int column)
                            throws java.sql.SQLException

Gets the Column's extended id

Parameters:
  `column` - the first column is 1, the second is 2, ...
Returns:
  The extended id.
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### getExtendedName

    java.lang.String getExtendedName(int column)
                                     throws java.sql.SQLException

Gets the Column's extended name

Parameters:
  `column` - the first column is 1, the second is 2, ...
Returns:
  The extended type name.
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### getExtendedOwnerName

    java.lang.String getExtendedOwnerName(int column)
                                          throws java.sql.SQLException

Gets the Column's extended type's owner name

Parameters:
  `column` - the first column is 1, the second is 2, ...
Returns:
  The owner name.
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### getReference

    short getReference(int column)
                       throws java.sql.SQLException

Gets the Column's reference type

Parameters:
  `column` - the first column is 1, the second is 2, ...
Returns:
  The reference type.
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### getAlignment

    int getAlignment(int column)
                     throws java.sql.SQLException

Gets the Column's alignment

Parameters:
  `column` - the first column is 1, the second is 2, ...
Returns:
  The alignment.
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### getSourceType

    int getSourceType(int column)
                      throws java.sql.SQLException

Gets the Column's SourceType

Parameters:
  `column` - the first column is 1, the second is 2, ...
Returns:
  The source type.
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### getEncodedLength

    int getEncodedLength(int column)
                         throws java.sql.SQLException

Gets the column's encoded Length

Parameters:
  `column` - the first column is 1, the second is 2, ...
Returns:
  The column's encoded length.
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### getIfxColumnType

    int getIfxColumnType(int column)
                         throws java.sql.SQLException

Gets a column's Informix SQL type

Parameters:
  `column` - the first column is 1, the second is 2, ...
Returns:
  The SQL type.
Throws:
  `java.sql.SQLException` - if a database access error occurs
See Also:
  `Types`

#### isDistinct

    boolean isDistinct(int column)
                       throws java.sql.SQLException

Is the column a distinct type

Parameters:
  `column` - the first column is 1, the second is 2, ...
Returns:
  true if so
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### isNamedRow

    boolean isNamedRow(int column)
                       throws java.sql.SQLException

Is the column a named row type

Parameters:
  `column` - the first column is 1, the second is 2, ...
Returns:
  true if so
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### getChild

    IfmxResultSetMetaData getChild(int column)
                                   throws java.sql.SQLException

Gets the Column's child complex type information for a nested complex type.

Parameters:
  `column` - the first column is 1, the second is 2, ...
Returns:
  The child.
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### getLevelNo

    short getLevelNo(int column)
                     throws java.sql.SQLException

Gets the Column's Level number

Parameters:
  `column` - the first column is 1, the second is 2, ...
Returns:
  The level no.
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### getSeqNo

    short getSeqNo(int column)
                   throws java.sql.SQLException

Gets the Column's Sequence number

Parameters:
  `column` - the first column is 1, the second is 2, ...
Returns:
  The seq no.
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### getParentNo

    short getParentNo(int column)
                      throws java.sql.SQLException

Gets the Column's Parent number

Parameters:
  `column` - the first column is 1, the second is 2, ...
Returns:
  The parent no.
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### getFieldNo

    short getFieldNo(int column)
                     throws java.sql.SQLException

Gets the Column's Field number

Parameters:
  `column` - the first column is 1, the second is 2, ...
Returns:
  The field no.
Throws:
  `java.sql.SQLException` - if a database access error occurs